Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.web.jcr.rest.client
Interface IJcrConstants

    public interface IJcrConstants

The `IJcrContants` class provides constants for the commonly used JCR types and property identifiers.

Field Summary
`static String` | `CONTENT_PROPERTY` The JCR content property name (`jcr:content`).
`static String` | `DATA_PROPERTY` The JCR data property name (`jcr:data`).
`static String` | `FILE_NODE_TYPE` The JCR file node type (`nt:file`).
`static String` | `FOLDER_NODE_TYPE` The JCR folder node type (`nt:folder`).
`static String` | `JCR_SEARCH` The query language value for full text search queries
`static String` | `JCR_SQL` The query language value for JCR-SQL queries
`static String` | `JCR_SQL2` The query language value for JCR-SQL2 queries
`static String` | `LAST_MODIFIED` The JCR data property name (`jcr:lastModified`).
`static String` | `MIME_TYPE` The JCR data property name (`jcr:lastModified`).
`static String` | `MIXIN_TYPES_PROPERTY` The JCR mixin type property name (`jcr:mixinTypes`).
`static String` | `PRIMARY_TYPE_PROPERTY` The JCR primary type property name (`jcr:primaryType`).
`static String` | `RESOURCE_NODE_TYPE` The JCR resource node type (`nt:resource`).
`static List<String>` | `VALID_QUERY_LANGUAGES` A list of the valid query languages
`static String` | `VERSIONABLE_NODE_TYPE` The JCR versionable mixin node type (`mix:versionable`).
`static String` | `XPATH` The query language value for XPath queries

Field Detail

### CONTENT_PROPERTY

    static final String CONTENT_PROPERTY

  The JCR content property name (`jcr:content`).

  See Also:
    Constant Field Values

### DATA_PROPERTY

    static final String DATA_PROPERTY

  The JCR data property name (`jcr:data`).

  See Also:
    Constant Field Values

### FILE_NODE_TYPE

    static final String FILE_NODE_TYPE

  The JCR file node type (`nt:file`).

  See Also:
    Constant Field Values

### FOLDER_NODE_TYPE

    static final String FOLDER_NODE_TYPE

  The JCR folder node type (`nt:folder`).

  See Also:
    Constant Field Values

### VERSIONABLE_NODE_TYPE

    static final String VERSIONABLE_NODE_TYPE

  The JCR versionable mixin node type (`mix:versionable`).

  See Also:
    Constant Field Values

### LAST_MODIFIED

    static final String LAST_MODIFIED

  The JCR data property name (`jcr:lastModified`).

  See Also:
    Constant Field Values

### MIME_TYPE

    static final String MIME_TYPE

  The JCR data property name (`jcr:lastModified`).

  See Also:
    Constant Field Values

### PRIMARY_TYPE_PROPERTY

    static final String PRIMARY_TYPE_PROPERTY

  The JCR primary type property name (`jcr:primaryType`).

  See Also:
    Constant Field Values

### MIXIN_TYPES_PROPERTY

    static final String MIXIN_TYPES_PROPERTY

  The JCR mixin type property name (`jcr:mixinTypes`).

  See Also:
    Constant Field Values

### RESOURCE_NODE_TYPE

    static final String RESOURCE_NODE_TYPE

  The JCR resource node type (`nt:resource`).

  See Also:
    Constant Field Values

### XPATH

    static final String XPATH

  The query language value for XPath queries

  See Also:
    Constant Field Values

### JCR_SQL

    static final String JCR_SQL

  The query language value for JCR-SQL queries

  See Also:
    Constant Field Values

### JCR_SQL2

    static final String JCR_SQL2

  The query language value for JCR-SQL2 queries

  See Also:
    Constant Field Values

### JCR_SEARCH

    static final String JCR_SEARCH

  The query language value for full text search queries

  See Also:
    Constant Field Values

### VALID_QUERY_LANGUAGES

    static final List<String> VALID_QUERY_LANGUAGES

  A list of the valid query languages

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.